ubuntu-location-service: com::ubuntu::location::service::session::Implementation Class Reference

ubuntu-location-service .. An aggregating location service providing positioning and geocoding capabilities to applications.

Public Member Functions | List of all members
com::ubuntu::location::service::session::Implementation Class Reference

`#include <implementation.h>`

Inheritance diagram for com::ubuntu::location::service::session::Implementation:
Collaboration diagram for com::ubuntu::location::service::session::Implementation:

## Public Member Functions
| Implementation (const Provider::Ptr &provider)
| Implementation (const Implementation &)=delete
virtual | ~Implementation () noexcept
Implementation & | operator= (const Implementation &)=delete
virtual void | start_position_updates ()
virtual void | stop_position_updates () noexcept
virtual void | start_velocity_updates ()
virtual void | stop_velocity_updates () noexcept
virtual void | start_heading_updates ()
virtual void | stop_heading_updates () noexcept
Public Member Functions inherited from com::ubuntu::location::service::session::Interface
| Interface (const Interface &)=delete
virtual | ~Interface () noexcept
Interface & | operator= (const Interface &)=delete
virtual Updates & | updates ()
| Provides access to the updates delivered for this session. More...

## Additional Inherited Members
Public Types inherited from com::ubuntu::location::service::session::Interface
typedef std::shared_ptr< Interface > | Ptr
Protected Member Functions inherited from com::ubuntu::location::service::session::Interface
| Interface ()

## Detailed Description

Definition at line 37 of file implementation.h.

## Constructor & Destructor Documentation

## ◆ Implementation() [1/2]

com::ubuntu::location::service::session::Implementation::Implementation | ( | const Provider::Ptr & | provider | ) |

## ◆ Implementation() [2/2]

com::ubuntu::location::service::session::Implementation::Implementation | ( | const Implementation & |  | ) |
| delete

## ◆ ~Implementation()

virtual com::ubuntu::location::service::session::Implementation::~Implementation | ( |  | ) |
| virtualnoexcept

## Member Function Documentation

## ◆ operator=()

Implementation& com::ubuntu::location::service::session::Implementation::operator= | ( | const Implementation & |  | ) |
| delete

## ◆ start_heading_updates()

virtual void com::ubuntu::location::service::session::Implementation::start_heading_updates | ( |  | ) |
| virtual

## ◆ start_position_updates()

virtual void com::ubuntu::location::service::session::Implementation::start_position_updates | ( |  | ) |
| virtual

## ◆ start_velocity_updates()

virtual void com::ubuntu::location::service::session::Implementation::start_velocity_updates | ( |  | ) |
| virtual

## ◆ stop_heading_updates()

virtual void com::ubuntu::location::service::session::Implementation::stop_heading_updates | ( |  | ) |
| virtualnoexcept

## ◆ stop_position_updates()

virtual void com::ubuntu::location::service::session::Implementation::stop_position_updates | ( |  | ) |
| virtualnoexcept

## ◆ stop_velocity_updates()

virtual void com::ubuntu::location::service::session::Implementation::stop_velocity_updates | ( |  | ) |
| virtualnoexcept

The documentation for this class was generated from the following file:

- /build/location-service-git/src/location-service/include/location_service/com/ubuntu/location/service/session/implementation.h